MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024913Community[OCCT] OCCT:Modeling Algorithmspublic2014-05-09 19:052014-11-11 12:52
ReporterTimo 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024913: BRepOffsetAPI_ThruSections::CreateSmoothed contains unused declaration of GeomFill_SectionGenerator
DescriptionBRepOffsetAPI_ThruSections::CreateSmoothed contains unused declaration

GeomFill_SectionGenerator section;

in line 627 (OCC 6.7.0).

It should be removed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029270)
abv (manager)
2014-05-12 09:39

Fix pushed to CR24913, please test
(0029324)
apn (administrator)
2014-05-14 15:25
edited on: 2014-05-14 18:48

Dear BugMaster,

Branch CR24913 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 339683fe1e6da67f631c8531f323ffb93d83b75d

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 205 (212 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355832616 / 356598036
Total CPU difference: 54003.429999999906 / 51363.47999999977

Testing on Windows:
Total MEMORY difference: 379873028 / 380248492
Total CPU difference: 34719.75 / 35796.078125

There are no differences in images found by testdiff.


- Related Changesets
occt: master fab29dc1
Timestamp: 2014-05-12 05:39:07
Author: abv
Committer: apn
Details ] Diff ]
0024913: BRepOffsetAPI_ThruSections::CreateSmoothed contains unused declaration of GeomFill_SectionGenerator

Unused local variable deleted
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-09 19:05 Timo New Issue
2014-05-09 19:05 Timo Assigned To => ifv
2014-05-09 19:06 Timo Description Updated View Revisions
2014-05-12 09:39 abv Note Added: 0029270
2014-05-12 09:39 abv Assigned To ifv => bugmaster
2014-05-12 09:39 abv Status new => resolved
2014-05-12 09:39 abv Status resolved => reviewed
2014-05-13 19:17 apn Assigned To bugmaster => apn
2014-05-14 15:25 apn Note Added: 0029324
2014-05-14 15:26 apn Test case number => Not needed
2014-05-14 15:26 apn Assigned To apn => bugmaster
2014-05-14 15:26 apn Status reviewed => tested
2014-05-14 18:48 apn Note Edited: 0029324 View Revisions
2014-05-16 14:44 apn Changeset attached => occt master fab29dc1
2014-05-16 14:44 apn Assigned To bugmaster => apn
2014-05-16 14:44 apn Status tested => verified
2014-05-16 14:44 apn Resolution open => fixed
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker